org.apache.tools.ant.taskdefs

## Class Length.FileMode

- java.lang.Object
- - org.apache.tools.ant.types.EnumeratedAttribute
  - - org.apache.tools.ant.taskdefs.Length.FileMode

Enclosing class:
  Length

    public static class Length.FileMode
    extends EnumeratedAttribute

EnumeratedAttribute operation mode

### Field Summary

### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`value`

### Constructor Summary

Constructors
Constructor and Description
`Length.FileMode()`

### Method Summary

Methods
`java.lang.String[]` `getValues()` Return the possible values for FileMode.

### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Length.FileMode

    public Length.FileMode()

### Method Detail

#### getValues

    public java.lang.String[] getValues()

Return the possible values for FileMode.

Specified by:
  `getValues` in class `EnumeratedAttribute`
Returns:
  `String[]`.